package games.strategy.triplea.ai.TestAI;

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

import games.strategy.engine.data.UnitType;

/**
 * TestPurchaseContainer
 * 
 * A container for the different list-elements in TestPurchaseAI
 * 
 * @author A.S.
 * @since 2015
 */
public class TestPurchaseContainer 
{
	private String unitTypeName;
	private int costsInPUs;
	private UnitType unitType;
	private int attack;
	private int defense;
	private int movement;
	private int ownUnitCountOfThisType;
	private double purchaseAttractivity;
	
	public TestPurchaseContainer()
	{
		unitTypeName = null;	
		costsInPUs = 0;
		unitType = null;
		attack = 0;
		defense = 0;
		movement = 0;
		ownUnitCountOfThisType = 0;
		purchaseAttractivity = 0;
	}
	
	public void setUnitTypeName(String unitTypeName)
	{
		this.unitTypeName = unitTypeName;
	}
	
	public String getUnitTypeName()
	{
		return unitTypeName;
	}
	
	public void setCostsInPUs(int costsInPUs)
	{
		this.costsInPUs = costsInPUs;
	}
	
	public int getCostsInPUs()
	{
		return costsInPUs;
	}
	
	public void setUnitType(UnitType unitType)
	{
		this.unitType = unitType;
	}
	
	public UnitType getUnitType()
	{
		return unitType;
	}
	
	public void setAttack(int attack)
	{
		this.attack = attack;
	}
	
	public int getAttack()
	{
		return attack;
	}
	
	public void setDefense(int defense)
	{
		this.defense = defense;
	}
	
	public int getDefense()
	{
		return defense;
	}
	
	public void setMovement(int movement)
	{
		this.movement = movement;
	}
	
	public int getMovement()
	{
		return movement;
	}
	
	public void setOwnUnitCountOfThisType(int ownUnitCountOfThisType)
	{
		this.ownUnitCountOfThisType = ownUnitCountOfThisType;
	}
	
	public int getOwnUnitCountOfThisType()
	{
		return ownUnitCountOfThisType;
	}
	
	public void setPurchaseAttractivity(double purchaseAttractivity)
	{
		this.purchaseAttractivity = purchaseAttractivity;
	}
	
	public double getPurchaseAttractivity()
	{
		return purchaseAttractivity;
	}
}