package games.strategy.triplea.ai.TestAI;

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

import java.io.IOException;
import java.util.logging.FileHandler;
import java.util.logging.Logger;
import java.util.logging.SimpleFormatter;

/**
 * SimpleLogger
 * 
 * A simple logger writing data into a text file
 * 
 * @author A.S.
 * @since 2015
 */

public class SimpleLogger 
{	
	Logger logger = Logger.getLogger("TripleATestAILogger");
	FileHandler fh;  
	
	public SimpleLogger()
	{			
	    try 
	    {  
	        fh = new FileHandler("F:/TripleA/Testlogs/Testlog.txt");  
	        logger.addHandler(fh);
	        logger.setUseParentHandlers(false);
	        
	        SimpleFormatter formatter = new SimpleFormatter();        
	        fh.setFormatter(formatter);	  
	    } 
	    catch (IOException e) 
	    {  
	        e.printStackTrace();  
	    }  
	}
	
	public void logMessage(String message)
	{		
		logger.info(message);
	}
}